package net.mullvad.mullvadvpn.model

import android.os.Parcelable
import kotlinx.parcelize.Parcelize

@Parcelize
data class Device(
    val id: String,
    private val name: String,
    val pubkey: ByteArray,
    val created: String
) : Parcelable {
    // Generated by Android Studio
    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (javaClass != other?.javaClass) return false

        other as Device

        if (id != other.id) return false
        if (name != other.name) return false
        return pubkey.contentEquals(other.pubkey)
    }

    // Generated by Android Studio
    override fun hashCode(): Int {
        var result = id.hashCode()
        result = 31 * result + name.hashCode()
        result = 31 * result + pubkey.contentHashCode()
        return result
    }

    fun displayName(): String = name.capitalizeFirstCharOfEachWord()
}

private fun String.capitalizeFirstCharOfEachWord(): String {
    return split(" ")
        .joinToString(" ") { word -> word.replaceFirstChar { firstChar -> firstChar.uppercase() } }
        .trimEnd()
}
